<?php get_header(); ?>
<div id="content" class="postcolumn">
<?php if (have_posts()) : ?>
<h2 class="pagetitle">Search Results</h2>
<div class="navigation">
	<div class="alignleft"><?php posts_nav_link('','','&laquo; Previous Entries') ?></div>
	<div class="alignright"><?php posts_nav_link('','Next Entries &raquo;','') ?></div>
</div> <?php /* navigation */ ?>
<?php while (have_posts()) : the_post(); ?>
	<div class="post-top">
	<div class="post-bottom">
	<div class="entry">
	<div class="title">
		<h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
		<small>Posted by <?php the_author() ?> on <?php the_time('F jS, Y') ?></small>
	</div> <?php /* title */ ?>
	<div class="post-text">
		<?php the_excerpt() ?>
		<p class="postmetadata"> <?php the_category(', ') ?> <strong>|</strong> <?php edit_post_link('Edit','','<strong>|</strong>'); ?><?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></p> 
	</div> <?php /* post-text */ ?>
	</div> <?php /* entry */ ?>
	</div> <?php /* post-bottom */ ?>
	</div> <?php /* post-top */ ?>
<?php endwhile; ?>
<div class="navigation">
	<div class="alignleft"><?php posts_nav_link('','','&laquo; Previous Entries') ?></div>
	<div class="alignright"><?php posts_nav_link('','Next Entries &raquo;','') ?></div>
</div> <?php /* navigation */ ?>
<?php else : ?>
	<h2 class="center">Not Found</h2>
<?php endif; ?>
</div> <?php /* postcolumn */ ?>
<?php get_sidebar(); ?>
<?php get_footer(); ?>

