<?php get_header(); ?>
<div id="content" class="postcolumn">
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	<div class="navigation">
		<div class="alignleft"><?php previous_post('&laquo; %','','yes') ?></div>
		<div class="alignright"><?php next_post(' % &raquo;','','yes') ?></div>
	</div> <?php /* navigation */ ?>
	<div class="post-top">
	<div class="post-bottom">
	<div class="entry">
	<div class="title">
		<h2 id="post-<?php the_ID(); ?>"><a href="<?php echo get_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></h2>
	</div> <?php /* title */ ?>
	<div class="post-text">
		<?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>
		<?php link_pages('<p><strong>Pages:</strong> ', '</p>', 'number'); ?>
		<p class="postmetadata">Posted by <?php the_author() ?> on <?php the_time('l, F jS, Y') ?> at <?php the_time() ?>.</p>
	</div> <?php /* post-text */ ?>
	</div> <?php /* entry */ ?>
	</div> <?php /* post-bottom */ ?>
	</div> <?php /* post-top */ ?>
	<?php comments_template(); ?>
<?php endwhile; else: ?>
<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
<?php endif; ?>
</div> <?php /* postcolumn */ ?>
<?php get_sidebar(); ?>
<?php get_footer(); ?>
